<script setup>
defineProps({ event: Object, onClose: Function });
</script>

<template>
    <div class="flex flex-row w-60 gap-3 bg-transparent" @click="onClose">
        <DisplayTile :name="event.event.name" :uid="event.uid" :base_64_image="event.event.thumbnail"
            :start_date="event.start_date" :end_date="event.end_date" :start_hour="event.start_hour"
            :end_hour="event.end_hour" :category="event.main_category.name" :parent="event.main_category.parent || ''"
            :location="event.location.name" />
        <div class="bg-white h-min p-1.5 rounded-md">
            <img src="/images/cross.svg" class="w-6 h-6" />
        </div>
    </div>
</template>
